curl --request GET \
--url 'https://api.stateset.com/api/v1/warehouse-bins/{id}/levels' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"levels": [
{
"bin_id": 1,
"quantity_allocated": "string",
"quantity_available": "string",
"quantity_on_hand": "string",
"sku": "string",
"updated_at": "string",
"warehouse_id": 1
}
],
"total": 1
}
Bin levels
Bin levels
GET
/
api
/
v1
/
warehouse-bins
/
{id}
/
levels
curl --request GET \
--url 'https://api.stateset.com/api/v1/warehouse-bins/{id}/levels' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"levels": [
{
"bin_id": 1,
"quantity_allocated": "string",
"quantity_available": "string",
"quantity_on_hand": "string",
"sku": "string",
"updated_at": "string",
"warehouse_id": 1
}
],
"total": 1
}
Path parameters
integer (int32)
required
Bin ID
Response
BinLevelListResponse
BinLevelResponse[]
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | โ |
404 | โ |
curl --request GET \
--url 'https://api.stateset.com/api/v1/warehouse-bins/{id}/levels' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"levels": [
{
"bin_id": 1,
"quantity_allocated": "string",
"quantity_available": "string",
"quantity_on_hand": "string",
"sku": "string",
"updated_at": "string",
"warehouse_id": 1
}
],
"total": 1
}